commit:     f00d9bbdb0e02502c19f7d625f85f6086da30782
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 12 18:30:28 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Nov 12 18:30:28 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f00d9bbd

dev-ml/zarith: bump to 1.4.1

Package-Manager: portage-2.2.24
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/zarith/Manifest            |  1 +
 dev-ml/zarith/zarith-1.4.1.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ml/zarith/Manifest b/dev-ml/zarith/Manifest
index 558cede..8511a52 100644
--- a/dev-ml/zarith/Manifest
+++ b/dev-ml/zarith/Manifest
@@ -1,2 +1,3 @@
 DIST zarith-1.3.tgz 69415 SHA256 
946687d6f032b96ab9db9661d876e39437bff783e0ad473ac463c06259b7a3d7 SHA512 
c8b0b32ae3cae2808d0af701fbf134fd8bf7b1b3042fbd562edf4a54f958386b4b425117838e60033f51ee0e4ea22969ddc7a8968ba979a4ad70c725cf4357d4
 WHIRLPOOL 
363e9f973a2e8ebc305c66e6d8dcb6f68bb5599dfce3da906fe013e2d7acfd80b17e886de60f393b72538488dcfdba33b0656f2fe6b19aeeec88d6c0ec3bf21b
+DIST zarith-1.4.1.tgz 88831 SHA256 
23b6c140aad25385bb0b862b9b9fe8a5c6e6f608d0fac7a688aaede5ea876650 SHA512 
ef6717e3b6c19ef94fb0e02eb33b1d9f2b2103a9fe0334cb89b01b344ee953fbeeaed8a75b17daa32760faaf93d582e6778ae50e59e9cf878663f2ecba1d5659
 WHIRLPOOL 
51fc093160ccd5b26282dc1e4f0da223cf0de49c357d560c45bf839ae1dadc53968b117f6ecb96da722fcda2c669ececbd6ca3fab61c71059f37764bfc602888
 DIST zarith-1.4.tgz 88392 SHA256 
98bc21d9e86c3726b5641e0a4c6e859a1bf52b3f691344187e432760386b4861 SHA512 
52c39ba98a3abd5fe8a38a7efd879993a6b3113133bdc0c9541168637fe9c8f813a9d38db679199ff0bf1b41f5f4a49f63876a2ca6a74796c309622b8023ac75
 WHIRLPOOL 
c7abfcd9c81ee04fc819925c5f4fd07ea6603a1c2630a523b3a3b3bb3e21a7fcff0532a166b0cb6d9376b4f40747e7232be2d4b3f6e65592103b1ea12f96470c

diff --git a/dev-ml/zarith/zarith-1.4.1.ebuild 
b/dev-ml/zarith/zarith-1.4.1.ebuild
new file mode 100644
index 0000000..6c95860
--- /dev/null
+++ b/dev-ml/zarith/zarith-1.4.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib eutils toolchain-funcs
+
+DESCRIPTION="Arithmetic and logic operations over arbitrary-precision integers"
+HOMEPAGE="https://forge.ocamlcore.org/projects/zarith/";
+SRC_URI="https://forge.ocamlcore.org/frs/download.php/1574/${P}.tgz";
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc mpir +ocamlopt"
+
+RDEPEND="
+       >=dev-lang/ocaml-4:=[ocamlopt?]
+       !mpir? ( dev-libs/gmp:0= )
+       mpir? ( sci-libs/mpir )"
+
+DEPEND="${RDEPEND} dev-lang/perl"
+
+src_configure() {
+       tc-export CC
+       ./configure -host "${CHOST}" \
+               -ocamllibdir "/usr/$(get_libdir)" \
+               -installdir "${ED}/usr/$(get_libdir)/ocaml" \
+               $(usex mpir "-mpir" "-gmp") || die
+}
+
+src_compile() {
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) all
+       use doc && emake doc
+}
+
+src_test() {
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) tests
+}
+
+src_install() {
+       findlib_src_preinst
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) install
+       dodoc Changes README
+       use doc && dohtml html/*
+}

Reply via email to